For the complete documentation index, see llms.txt. This page is also available as Markdown.

Billing Plans

List billing plans

get
/billingPlans
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

productIdstring · min: 6 · max: 50Optional

Filters the response by a Product ID.

idsstring · min: 6 · max: 270Optional

Filters the response by list of plan IDs.

pageSizenumber · min: 1 · max: 20Optional

The number of items to return in the response.

pagenumber · min: 1 · max: 100000Optional

A non-zero integer which is the start index of the entire list of items to return in the response.

totalRequiredbooleanOptional

Indicates whether to show the total count in the response.

Responses
200

Successful

application/json
totalItemsnumberOptional

The total number of items.

totalPagesnumberOptional

The total number of pages.

get/billingPlans
GET /oidc/paypal-ecom/billingPlans?paymentProviderContract=text HTTP/1.1
Host: emea.gsc.verifone.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "plans": [
    {
      "id": "text",
      "name": "text",
      "billingCycles": [
        {
          "pricingScheme": {
            "version": 1,
            "fixedPrice": {
              "currencyCode": "EUR",
              "value": 100
            },
            "pricingModel": "VOLUME",
            "tiers": [
              {
                "startingQuantity": "text",
                "endingQuantity": "text",
                "amount": {
                  "currencyCode": "EUR",
                  "value": 100
                }
              }
            ]
          },
          "frequency": {
            "intervalUnit": "DAY",
            "intervalCount": 1
          },
          "tenureType": "REGULAR",
          "sequence": 1,
          "totalCycles": 1
        }
      ],
      "paymentPreferences": {
        "autoBillOutstanding": true,
        "setupFee": {
          "currencyCode": "EUR",
          "value": 100
        },
        "setupFeeFailureAction": "CONTINUE",
        "paymentFailureThreshold": 1
      },
      "status": "ACTIVE",
      "description": "text",
      "taxes": {
        "percentage": "text",
        "inclusive": true
      },
      "quantitySupported": true,
      "createTime": "2026-01-01",
      "updateTime": "2026-01-01"
    }
  ],
  "totalItems": 1,
  "totalPages": 1
}

Activate billing plans

put
/billingPlans/{planId}/activate
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
planIdstringRequired

PayPal billing plan Id

Body
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

Responses
204

No Content

put/billingPlans/{planId}/activate
PUT /oidc/paypal-ecom/billingPlans/{planId}/activate HTTP/1.1
Host: emea.gsc.verifone.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: */*
Accept: */*
Content-Length: 34

{
  "paymentProviderContract": "text"
}

No content

Deactivate billing plans

put
/billingPlans/{planId}/deactivate
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
planIdstringRequired

PayPal billing plan Id

Body
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

Responses
204

No Content

put/billingPlans/{planId}/deactivate
PUT /oidc/paypal-ecom/billingPlans/{planId}/deactivate HTTP/1.1
Host: emea.gsc.verifone.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: */*
Accept: */*
Content-Length: 34

{
  "paymentProviderContract": "text"
}

No content

Get billing plan

get
/billingPlans/{planId}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
planIdstringRequired

PayPal billing plan Id

Query parameters
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

Responses
200

Successful

application/json
idstring · min: 6 · max: 50Optional

Filters the response by a Product ID.

productIdstringRequired

PayPal catalog product id

namestring · max: 127Required

The plan name

statusstring · enumOptional

The initial state of the plan

Possible values:
descriptionstring · max: 127Optional

The detailed description of the plan.

quantitySupportedbooleanOptional

Indicates whether you can subscribe to this plan by providing a quantity for the goods or service.

createTimestring · dateRequired

The date and time when the billing plan was created.

updateTimestring · dateOptional

The date and time when the billing plan was updated.

get/billingPlans/{planId}
GET /oidc/paypal-ecom/billingPlans/{planId}?paymentProviderContract=text HTTP/1.1
Host: emea.gsc.verifone.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "productId": "text",
  "name": "text",
  "billingCycles": [
    {
      "pricingScheme": {
        "version": 1,
        "fixedPrice": {
          "currencyCode": "EUR",
          "value": 100
        },
        "pricingModel": "VOLUME",
        "tiers": [
          {
            "startingQuantity": "text",
            "endingQuantity": "text",
            "amount": {
              "currencyCode": "EUR",
              "value": 100
            }
          }
        ]
      },
      "frequency": {
        "intervalUnit": "DAY",
        "intervalCount": 1
      },
      "tenureType": "REGULAR",
      "sequence": 1,
      "totalCycles": 1
    }
  ],
  "paymentPreferences": {
    "autoBillOutstanding": true,
    "setupFee": {
      "currencyCode": "EUR",
      "value": 100
    },
    "setupFeeFailureAction": "CONTINUE",
    "paymentFailureThreshold": 1
  },
  "status": "ACTIVE",
  "description": "text",
  "taxes": {
    "percentage": "text",
    "inclusive": true
  },
  "quantitySupported": true,
  "createTime": "2026-01-01",
  "updateTime": "2026-01-01"
}

Update billing plans

put
/billingPlans/{planId}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
planIdstringRequired

PayPal billing plan Id

Body
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

descriptionstring · max: 127Optional

The detailed description of the plan.

Responses
204

No Content

put/billingPlans/{planId}
PUT /oidc/paypal-ecom/billingPlans/{planId} HTTP/1.1
Host: emea.gsc.verifone.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: */*
Accept: */*
Content-Length: 244

{
  "paymentProviderContract": "text",
  "description": "text",
  "paymentPreferences": {
    "autoBillOutstanding": true,
    "setupFee": {
      "currencyCode": "EUR",
      "value": 100
    },
    "setupFeeFailureAction": "CONTINUE",
    "paymentFailureThreshold": 1
  },
  "taxes": {
    "percentage": "text"
  }
}

No content

Create billing plan

post
/billingPlans/create
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
x-vfi-api-idempotencyKeystringOptional

A value you specify that uniquely identifies the transaction. If you're unsure whether a particular transaction succeeded, you can reattempt it with the same idempotency key without worrying about duplicating the transaction.

Body
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

productIdstringRequired

PayPal catalog product id

namestring · max: 127Required

The plan name

statusstring · enumOptional

The initial state of the plan

Possible values:
descriptionstring · max: 127Optional

The detailed description of the plan.

quantitySupportedbooleanOptional

Indicates whether you can subscribe to this plan by providing a quantity for the goods or service.

Responses
201

Created

application/json
idstring · min: 6 · max: 50Required

The unique PayPal-generated ID for the plan.

productIdstringRequired

PayPal catalog product id

namestring · max: 127Required

The plan name

statusstring · enumRequired

The initial state of the plan

Possible values:
descriptionstring · max: 127Optional

The detailed description of the plan.

quantitySupportedbooleanOptional

Indicates whether you can subscribe to this plan by providing a quantity for the goods or service.

createTimestring · dateRequired

The date and time when the billing plan was created.

updateTimestring · dateOptional

The date and time when the billing plan was updated.

post/billingPlans/create
POST /oidc/paypal-ecom/billingPlans/create HTTP/1.1
Host: emea.gsc.verifone.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: */*
Accept: */*
Content-Length: 670

{
  "paymentProviderContract": "text",
  "productId": "text",
  "name": "text",
  "status": "ACTIVE",
  "description": "text",
  "billingCycles": [
    {
      "pricingScheme": {
        "version": 1,
        "fixedPrice": {
          "currencyCode": "EUR",
          "value": 100
        },
        "pricingModel": "VOLUME",
        "tiers": [
          {
            "startingQuantity": "text",
            "endingQuantity": "text",
            "amount": {
              "currencyCode": "EUR",
              "value": 100
            }
          }
        ]
      },
      "frequency": {
        "intervalUnit": "DAY",
        "intervalCount": 1
      },
      "tenureType": "REGULAR",
      "sequence": 1,
      "totalCycles": 1
    }
  ],
  "paymentPreferences": {
    "autoBillOutstanding": true,
    "setupFee": {
      "currencyCode": "EUR",
      "value": 100
    },
    "setupFeeFailureAction": "CONTINUE",
    "paymentFailureThreshold": 1
  },
  "taxes": {
    "percentage": "text",
    "inclusive": true
  },
  "quantitySupported": true
}
{
  "id": "text",
  "productId": "text",
  "name": "text",
  "status": "ACTIVE",
  "description": "text",
  "billingCycles": [
    {
      "pricingScheme": {
        "version": 1,
        "fixedPrice": {
          "currencyCode": "EUR",
          "value": 100
        },
        "pricingModel": "VOLUME",
        "tiers": [
          {
            "startingQuantity": "text",
            "endingQuantity": "text",
            "amount": {
              "currencyCode": "EUR",
              "value": 100
            }
          }
        ]
      },
      "frequency": {
        "intervalUnit": "DAY",
        "intervalCount": 1
      },
      "tenureType": "REGULAR",
      "sequence": 1,
      "totalCycles": 1
    }
  ],
  "paymentPreferences": {
    "autoBillOutstanding": true,
    "setupFee": {
      "currencyCode": "EUR",
      "value": 100
    },
    "setupFeeFailureAction": "CONTINUE",
    "paymentFailureThreshold": 1
  },
  "taxes": {
    "percentage": "text",
    "inclusive": true
  },
  "quantitySupported": true,
  "createTime": "2026-01-01",
  "updateTime": "2026-01-01"
}

Last updated

Was this helpful?